
cap {

*Table 7: Pass-Through of Costs to Prices
est clear
set matsize 3000
use estimationfile,clear
	tsset fup12 year
	xtreg luv lmc_x if cut3_lmu_x & year<=1997, i(fup12) fe cluster(fid)
		g lmc_ols     = _b[lmc_x]
		g lmc_ols_se  = _se[lmc_x]
	est clear
	xtivreg2 luv (lmc_x = p_qt l.lmc_x) if cut3_lmu_x & year<=1997, i(fup12) fe cluster(fid) 
		g lmc_iv2     = _b[lmc_x]
		g lmc_iv2_se  = _se[lmc_x]
	est clear
	xtivreg2 luv (lmc_x = p_qt l2.lmc_x) if cut3_lmu_x & year<=1997, i(fup12) fe cluster(fid) 
		g lmc_iv3     = _b[lmc_x]
		g lmc_iv3_se  = _se[lmc_x]
	g dirnum = ${dirnum}
	keep dirnum lmc_ols* lmc_iv2* lmc_iv3* 
	duplicates drop
	sort dirnum
	save "${bootstrap}/passthrough_${dirnum}.dta",replace
	est clear

*Table 9: Prices, Costs and Markups and Tariffs
est clear
use estimationfile,clear
	keep if year<=1997
	qui tab pnic2yr, g(_pnic2yr)
	local yrlist4 = "_pnic2yr*"
	keep if cut3_lmu_x==1

	qui xtreg lmu_x p_tf p_qt _pnic2yr*, fe i(fup12) cluster(cl_pnic)
		g markup_sample = e(sample)
		foreach v of varlist luv_x lmc_x lmu_x {
		xi: xtreg `v' p_tf p_qt _pnic2yr* if markup_sample, fe i(fup12) cluster(cl_pnic)
			g `v'_tf = _b[p_tf]
			g `v'_qt = _b[p_qt]
			g `v'_tf_se = _se[p_tf]
			g `v'_qt_se = _se[p_qt]
			}
		g dirnum = ${dirnum}
		keep dirnum luv_x_tf* luv_x_qt* lmc_x_tf* lmc_x_qt* lmu_x_tf* lmu_x_qt*
		duplicates drop
		sort dirnum
		rename *_x_* *_*		
	saveold "${bootstrap}/annual_${dirnum}.dta",replace
	est clear

*Table 10: Pro-Competitive Effects of Output Tariffss
est clear
use estimationfile,clear
	global Q = 10
	drop if year>=1998
	drop if lmu_x==.
	qui tab pnic2yr, g(_pnic2yr)

	*initial markup
		bys cl_pnic year: egen tile = xtile(lmu_x), nq($Q)
		sort fup12 year
		by fup12: g c = _n
		g tmp = tile if c==1
			by fup12: egen murank = max(tmp)
		sum murank
			local k1 = r(min)
			local k2 = r(max)
		g top = murank == `k2'
	g ptf_top = p_tf*top
	tsset fup12 year
	forval k = 1/2 {
		g lmc_x_`k' = lmc_x^`k'
		g lag_lmc_`k'   = l.lmc_x_`k'
		}
		drop lmc_x
	foreach i of numlist 3 {
		xtreg lmu_x lmc_x_* p_tf _pnic2yr* if cut`i'_lmu_x, fe i(fup12) cluster(cl_pnic)
			g tf_ols1    = _b[p_tf]
			g tf_ols1_se = _se[p_tf]
			est clear
		xi: xtivreg2 lmu_x (lmc_x_1 lmc_x_2 = p_qt lag_lmc_1 lag_lmc_2) p_tf _pnic2yr* if cut`i'_lmu_x, fe i(fup12) cluster(cl_pnic) ffirst   
			g tf_iv1    = _b[p_tf]
			g tf_iv1_se = _se[p_tf]
			g fstat_iv1 = e(widstat)
			est clear
		xi: xtreg lmu_x lmc_x_1 lmc_x_2 p_tf ptf_top _pnic2yr* if cut`i'_lmu_x, fe i(fup12) cluster(cl_pnic)
			g tf_ols2        = _b[p_tf]
			g tf_ols2_se     = _se[p_tf]
			g tf_top_ols2    = _b[ptf_top]
			g tf_top_ols2_se = _se[ptf_top]
			est clear

		xi: xtivreg2 lmu_x (lmc_x_1 lmc_x_2 = p_qt lag_lmc_1 lag_lmc_2) p_tf ptf_top _pnic2yr* if cut`i'_lmu_x, fe i(fup12) cluster(cl_pnic) ffirst   
			est store p4
			g tf_iv2    = _b[p_tf]
			g tf_iv2_se = _se[p_tf]
			g tf_top_iv2    = _b[ptf_top]
			g tf_top_iv2_se = _se[ptf_top]
			g fstat_iv2 = e(widstat)
		}
		g dirnum = ${dirnum}
		keep dirnum tf_* 
		duplicates drop
		cap erase tmp_hhi.dta
	save "${bootstrap}/procompetitive_${dirnum}.dta",replace
}
