
global I = 500
*Table 7: Bootstrap SEs
use ${empty}/empty,clear
forval i = 1/$I {
	append using "${bootstrap}/passthrough_`i'"
	cap drop fstat*
	}
	drop if dirnum==.
	drop fid2yr
	drop *_se

	foreach v of varlist lmc_*  {
		egen `v'_mean = mean(`v')
		g dev = (`v'-`v'_mean)^2
		egen sumdev = sum(dev)
		replace sumdev = (sumdev/${I})^.5
		g `v'_standarderror = sumdev
		drop dev sumdev
		}
	keep *_mean *_standarderror
	duplicates drop
	rename *_mean *_1
	rename *_standarderror *_2
	g c=1
	reshape long lmc_ols_ lmc_iv2_ lmc_iv3_, i(c) j(t)
	keep if t==2
	drop c t
	save bs_table7,replace
	
	
*Bootstrap SEs for Table 9
use ${empty}/empty,clear
forval i = 1/$I {
	append using "${bootstrap}/annual_`i'"
	}
	drop if dirnum==.
	drop fid2yr
	drop *_se
	est clear

	g overall1 = -0.61974328*luv_tf+-0.23949646*luv_qt
	g overall2 = -0.61974328*lmc_tf+-0.23949646*lmc_qt
	g overall3 = -0.61974328*lmu_tf+-0.23949646*lmu_qt

	foreach v of varlist luv* lmc* lmu* overall* {
		egen `v'_mean = mean(`v')
		g dev = (`v'-`v'_mean)^2
		egen sumdev = sum(dev)
		replace sumdev = (sumdev/${I})^.5
		g `v'_standarderror = sumdev
		drop dev sumdev
		}
	keep *_mean *_standarderror
	duplicates drop
	rename *_mean *_1
	rename *_standarderror *_2
	g c=1
	reshape long luv_tf_ luv_qt_ lmc_tf_ lmc_qt_ lmu_tf_ lmu_qt_ overall1_ overall2_ overall3_, i(c) j(t)
	keep if t==2
	drop c t
	save bs_table9,replace

*Bootstrap SEs for Table 10:
use ${empty}/empty,clear
forval i = 1/$I {
	append using "${bootstrap}/procompetitive_`i'"
	cap drop fstat*
	}
	drop if dirnum==.
	drop fid2yr
	drop *_se
	foreach v of varlist tf_*  {
		egen `v'_mean = mean(`v')
		g dev = (`v'-`v'_mean)^2
		egen sumdev = sum(dev)
		replace sumdev = (sumdev/${I})^.5
		g `v'_standarderror = sumdev
		drop dev sumdev
		}
	keep *_mean *_standarderror
	duplicates drop
	rename *_mean *_1
	rename *_standarderror *_2
	g c=1
	reshape long tf_ols1_ tf_iv1_ tf_ols2_ tf_top_ols2_ tf_iv2_ tf_top_iv2_ , i(c) j(t)
	noi tabstat tf_ols1 tf_iv1 tf_ols2 tf_top_ols2 tf_iv2_ tf_top_iv2, by(t) not
	keep if t==2
	drop c t
	save bs_table10,replace

